const express = require('express');
const orderController = require('../controllers/order');
// console.log(userController);
// Routing Component
const router = express.Router();
// Auth import
const auth = require('../auth')
// Auth
const {verify,verifyAdmin} = auth;
// verifyng




 router.post('/checkout',verify,orderController.checkoutOrder);


router.get('/order', verify,orderController.getAllOrders);

router.get('/history/:userId', verify, orderController.getOrderHistory);


module.exports = router;